#!/bin/csh


if ($#argv == 0) then
    goto help_lbl
    exit
endif

set flist = ""
set fout = ""
foreach arg ($argv)
    @ counter++
    if ("$arg" == "-d") then
        @ counter++
        set flist = $argv[$counter]
    endif
    if ("$arg" == "-f") then
	@ counter++
	set fout = $argv[$counter]
    endif
end

if ("$fout" == "" || "$flist" == "") goto help_lbl

tar -czvf $fout -T $flist



#########################
#### Help procedure #####
#########################
help_lbl:

echo "help :D"
